> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.iklim.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List neighbourhoods

> Returns neighbourhoods for a district.



## OpenAPI

````yaml /open-api/en/geo-alarm_version-1.json get /v1/alarms/geometries/neighborhoods/{districtId}
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.iklim.co
    description: Production server
  - url: https://api-test.iklim.co
    description: Test server
security: []
tags:
  - name: Geo Alarm Registrations
    description: CRUD & lookup endpoints for geo-based alarm registrations
paths:
  /v1/alarms/geometries/neighborhoods/{districtId}:
    get:
      tags:
        - Geo Alarm Registrations
      summary: List neighbourhoods
      description: Returns neighbourhoods for a district.
      operationId: listNeighbourhoods
      parameters:
        - name: districtId
          in: path
          description: District ID
          required: true
          schema:
            type: string
          example: 557
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BoundaryNeighbourhood'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
components:
  schemas:
    BoundaryNeighbourhood:
      type: object
      description: Neighborhood administrative boundary data.
      properties:
        id:
          type: integer
          format: int64
          description: Neighbourhood ID
          example: 55766
        name:
          type: string
          description: Neighbourhood name
          example: Beytepe
        polygon:
          $ref: '#/components/schemas/GeoPolygon'
          description: Neighbourhood polygon
        district:
          $ref: '#/components/schemas/BoundaryDistrict'
          description: Affiliated district
    StandardErrorResponse:
      type: object
      description: Standard API error response structure
      properties:
        timestamp:
          type: string
          format: date-time
          description: Timestamp when the error occurred
          example: YYYY-mm-DDTHH:MM:SS.nnnnnnnnn
        status:
          type: integer
          format: int32
          description: HTTP status code
          example: XXX
        error:
          type: string
          description: Error name or type
          example: Error Name
          minLength: 1
        message:
          type: string
          description: Main error message
          example: Error Message
          minLength: 1
        messages:
          type: array
          description: Additional detailed error messages
          items:
            type: string
        path:
          type: string
          description: Request path that caused the error
          example: /endpoint/uri/here
          minLength: 1
      required:
        - error
        - message
        - path
        - status
        - timestamp
    GeoPolygon:
      type: object
      properties:
        exterior:
          type: array
          description: The exterior ring of the polygon, defined by a list of GeoPoints.
          example:
            - lng: 32.85
              lat: 39.93
            - lng: 32.86
              lat: 39.93
            - lng: 32.86
              lat: 39.94
            - lng: 32.85
              lat: 39.94
            - lng: 32.85
              lat: 39.93
          items:
            $ref: '#/components/schemas/GeoPoint'
        holes:
          type: array
          description: >-
            A list of interior rings (holes). Each hole is defined by its own
            list of GeoPoints. Can be null or empty if there are no holes.
          example:
            - - lng: 32.852
                lat: 39.932
              - lng: 32.853
                lat: 39.932
              - lng: 32.853
                lat: 39.933
              - lng: 32.852
                lat: 39.933
              - lng: 32.852
                lat: 39.932
          items:
            type: array
            items:
              $ref: '#/components/schemas/GeoPoint'
      required:
        - exterior
    BoundaryDistrict:
      type: object
      description: swagger.schema.boundary.district
      properties:
        id:
          type: integer
          format: int64
          description: District ID
          example: 557
        name:
          type: string
          description: Distrcit name
          example: Çankaya
        polygon:
          $ref: '#/components/schemas/GeoPolygon'
          description: District polygon
        city:
          $ref: '#/components/schemas/BoundaryCity'
          description: Affiliated city
    GeoPoint:
      type: object
      properties:
        lng:
          type: number
          format: double
          description: Longitude coordinate.
          example: 32.857358
          maximum: 180
          minimum: -180
        lat:
          type: number
          format: double
          description: Latitude coordinate.
          example: 39.93504
          maximum: 90
          minimum: -90
      required:
        - lat
        - lng
    BoundaryCity:
      type: object
      description: swagger.schema.boundary.city
      properties:
        id:
          type: integer
          format: int64
          description: City ID
          example: 6
        name:
          type: string
          description: City name
          example: Ankara
        licensePlateCode:
          type: integer
          format: int32
          description: License plate code
          example: 6
        polygon:
          $ref: '#/components/schemas/GeoPolygon'
          description: Geographic polygon

````